Variable - Create Or Update

Create a variable.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/variables/{variableName}?api-version=2024-10-23

URI Parameters

Name In Required Type Description
automationAccountName
path True

string

The name of the automation account.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

variableName
path True

string

The name of variable.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
name True

string

Gets or sets the name of the variable.

properties.description

string

Gets or sets the description of the variable.

properties.isEncrypted

boolean

Gets or sets the encrypted flag of the variable.

properties.value

string

Gets or sets the value of the variable.

Responses

Name Type Description
200 OK

Variable

Resource 'Variable' update operation succeeded

201 Created

Variable

Resource 'Variable' create operation succeeded

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create or update a variable

Sample request

PUT https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/sampleAccount9/variables/sampleVariable?api-version=2024-10-23

{
  "name": "sampleVariable",
  "properties": {
    "description": "my description",
    "isEncrypted": false,
    "value": "\"ComputerName.domain.com\""
  }
}

Sample response

{
  "name": "sampleVariable",
  "id": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/sampleAccount9/variables/sampleVariable",
  "properties": {
    "description": "my description",
    "creationTime": "2017-03-28T22:59:00.937+00:00",
    "isEncrypted": false,
    "lastModifiedTime": "2017-03-28T22:59:00.937+00:00",
    "value": "\"ComputerName2.domain.com\""
  }
}
{
  "name": "sampleVariable",
  "id": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/sampleAccount9/variables/sampleVariable",
  "properties": {
    "description": "my description",
    "creationTime": "2017-03-28T22:59:00.937+00:00",
    "isEncrypted": false,
    "lastModifiedTime": "2017-03-28T22:59:00.937+00:00",
    "value": "\"ComputerName.domain.com\""
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

systemData

Metadata pertaining to creation and last modification of the resource.

Variable

Definition of the variable.

VariableCreateOrUpdateParameters

The parameters supplied to the create or update variable operation.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

Variable

Definition of the variable.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.creationTime

string (date-time)

Gets or sets the creation time.

properties.description

string

Gets or sets the description.

properties.isEncrypted

boolean

Gets or sets the encrypted flag of the variable.

properties.lastModifiedTime

string (date-time)

Gets or sets the last modified time.

properties.value

string

Gets or sets the value of the variable.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

VariableCreateOrUpdateParameters

The parameters supplied to the create or update variable operation.

Name Type Description
name

string

Gets or sets the name of the variable.

properties.description

string

Gets or sets the description of the variable.

properties.isEncrypted

boolean

Gets or sets the encrypted flag of the variable.

properties.value

string

Gets or sets the value of the variable.